Get deposit addresses
curl --request GET \
--url https://api.agg.market/execution/deposit-addresses \
--header 'Authorization: Bearer <token>' \
--header 'x-app-id: <api-key>'import requests
url = "https://api.agg.market/execution/deposit-addresses"
headers = {
"x-app-id": "<api-key>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-app-id': '<api-key>', Authorization: 'Bearer <token>'}
};
fetch('https://api.agg.market/execution/deposit-addresses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ready": true,
"evmAddress": "0x8e2d6a1c4f7b0e3d9a5c2f8b1e6d4a7c0f3b9e25",
"svmAddress": "5Hq3sT8mZr2vKc9Lw4NpXy7BdJfGa6UeRk1oQi3VtC8n",
"supportedChains": [
{
"chainId": 137,
"name": "Polygon",
"tokens": [
{
"symbol": "USDC",
"address": "0x3c499c542cEF5E3811e1192ce70d8cC03d5c3359",
"decimals": 6
}
]
},
{
"chainId": 8453,
"name": "Base",
"tokens": [
{
"symbol": "USDC",
"address": "0x833589fCD6eDb6E08f4c7C32D4f71b54bdA02913",
"decimals": 6
}
]
},
{
"chainId": 42161,
"name": "Arbitrum",
"tokens": [
{
"symbol": "USDC",
"address": "0xaf88d065e77c8cC2239327C5EDb3A432268e5831",
"decimals": 6
}
]
}
]
}{
"ready": false
}{
"message": "<string>"
}{
"message": "<string>"
}Funding
Get deposit addresses
Returns the user’s deposit addresses (EVM + Solana) and supported chains/tokens. Returns 202 while addresses are being prepared — poll until 200.
GET
/
execution
/
deposit-addresses
Get deposit addresses
Authorizations
Your application ID. Required for all app-tier and user-tier routes.
JWT access token returned by POST /auth/verify. Required for user-tier routes.
Response
200
The addresses exist and can receive deposits.
Available options:
true The user's deposit address on every supported EVM chain and Hyperliquid.
The user's Solana deposit address (base58).
Chains and tokens deposits are accepted on.
Show child attributes
Show child attributes